﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DistinctCheckBox
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();

			List<Employee> employees = new List<Employee>() {
				new Employee() { CEO = true, Manager = true, Secretary = false, City = "Jerusalem", Branch = "IT"},
				new Employee() { CEO = false, Manager = false, Secretary = false, City = "Jerusalem", Branch = "IT"},
				new Employee() { CEO = false, Manager = false, Secretary = true, City = "Jerusalem", Branch = "IT"},
				new Employee() { CEO = false, Manager = true, Secretary = false, City = "Jerusalem", Branch = "Finance"},
				new Employee() { CEO = false, Manager = false, Secretary = false, City = "Jerusalem", Branch = "Finance"},
				new Employee() { CEO = false, Manager = true, Secretary = false, City = "New York", Branch = "Finance"},
				new Employee() { CEO = false, Manager = false, Secretary = false, City = "New York", Branch = "Finance"},
				new Employee() { CEO = false, Manager = true, Secretary = false, City = "New York", Branch = "IT"},
				new Employee() { CEO = false, Manager = false, Secretary = false, City = "New York", Branch = "IT"}};

			employeeBindingSource.DataSource = employees;

			GridDistinctCheckboxHelper helper = new GridDistinctCheckboxHelper(ultraGrid1);
			
			DistinctCheckBoxColumn c = new DistinctCheckBoxColumn();
			c.CheckBoxColumn = ultraGrid1.DisplayLayout.Bands[0].Columns["CEO"];
			helper.UniqueCheckboxColumns.Add(c);

			c = new DistinctCheckBoxColumn();
			c.CheckBoxColumn = ultraGrid1.DisplayLayout.Bands[0].Columns["Manager"];
			c.GroupByColumns.Add(ultraGrid1.DisplayLayout.Bands[0].Columns["City"]);
			c.GroupByColumns.Add(ultraGrid1.DisplayLayout.Bands[0].Columns["Branch"]);
			helper.UniqueCheckboxColumns.Add(c);

			c = new DistinctCheckBoxColumn();
			c.CheckBoxColumn = ultraGrid1.DisplayLayout.Bands[0].Columns["Secretary"];
			c.GroupByColumns.Add(ultraGrid1.DisplayLayout.Bands[0].Columns["City"]);
			c.GroupByColumns.Add(ultraGrid1.DisplayLayout.Bands[0].Columns["Branch"]);
			c.AllowNoCellChecked = true;
			helper.UniqueCheckboxColumns.Add(c);
		}
	}
}
