﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win.UltraWinGrid;

namespace DistinctCheckBox
{
	public class DistinctCheckBoxColumn
	{
		public DistinctCheckBoxColumn()
		{
			GroupByColumns = new List<UltraGridColumn>();
		}

		/// <summary>
		/// Gets or sets the column which contains a distinct checkbox
		/// </summary>
		public UltraGridColumn CheckBoxColumn { get; set; }

		/// <summary>
		/// Gets or sets a list of columns containing values to group the distinct checkbox by
		/// </summary>
		public List<UltraGridColumn> GroupByColumns { get; set; }

		/// <summary>
		/// Gets or sets whether to allow no cell checked
		/// </summary>
		public bool AllowNoCellChecked { get; set; }
	}
}
